Loading...
Searching...
No Matches
BALL::PoseClustering::Option Struct Reference

Option names. More...

`#include <BALL/DOCKING/COMMON/poseClustering.h>`

## Static Public Attributes

static const String | CLUSTER_METHOD
static const String | DISTANCE_THRESHOLD
static const String | RMSD_LEVEL_OF_DETAIL
static const String | RMSD_TYPE
static const String | RUN_PARALLEL

## Detailed Description

Option names.

Definition at line 133 of file poseClustering.h.

## Member Data Documentation

## CLUSTER_METHOD

const String BALL::PoseClustering::Option::CLUSTER_METHOD

static

the clustering method

Definition at line 137 of file poseClustering.h.

## DISTANCE_THRESHOLD

const String BALL::PoseClustering::Option::DISTANCE_THRESHOLD

static

the threshold for minimal required cluster distance

Definition at line 141 of file poseClustering.h.

## RMSD_LEVEL_OF_DETAIL

const String BALL::PoseClustering::Option::RMSD_LEVEL_OF_DETAIL

static

the level of detail when computing the RMSD

Definition at line 145 of file poseClustering.h.

## RMSD_TYPE

const String BALL::PoseClustering::Option::RMSD_TYPE

static

the computation type of the cluster distance meassure

Definition at line 149 of file poseClustering.h.

## RUN_PARALLEL

const String BALL::PoseClustering::Option::RUN_PARALLEL

static

flag for requesting parallel execution

Definition at line 153 of file poseClustering.h.